• We are currently experiencing email notification problems, this will affect new registrations as well as forum update notifications. We hope to have it resolved as soon as possible.
  • Hi Guest! Limited run of fifty copper car badges now available to pre-order full details here.
Tell

Updating the inbuilt Mib2 Satnav / Mib2 tricks and lost Mib1 card solution

Jun 19, 2020
10
0
Stafford
Unless it's a retrofit / fiddled one you can't do it. Maps are available for November 2019 release but I dont publish them since UK people are stuck. I'll edit the link in later but no easy DIY solutions. Its an area of retrofiters minting it in.

If it's a mib1 high then use the mib2 high one. Again that's a retrofit fix for those units to give it that capability.
How I can check if mine is Mib1 High?

If u could pass the link with maps from november 2019 will be great.
 

Tell

Full Member
Staff member
Moderator
If there is no map card in it and it's running maps it's a high is the short answer.

The official check is on this page but these links tend to be hopelessly out of date

https://www.seat.com/owners/my-seat/navigation/map-updates.html

So the procedure to check whether it's a mib2 standard or mib2 high is this from the page:

"Please follow these steps to check your SEAT Ateca Navigation System: Press the “NAV” Button > Confirm the “Setup” > “Version information” selection on the display.

Check the first text line in "Version information". If the first three digits are 6P0, your system version is the "Navi System - 6P0". If not, your system is the "Navi System Plus"."

Then if it return 5F then it's a standard mib1 unless someone's put I think a 1030 card in it or something, which showed up the wrong part number for one release only. The first release of the zoned mib2 standard the all European maps generated a 5F part number. Also study the writing on the card as well.

The maps are a common release across the VAG range, the brand just pulls up the allocated part number when the common release was produced.

Running maps, no card in it. Plus / High. Has the juke box shown when media button pushed also a plus / high. Shows SD1 SD and Juke box - that's a plus / high. The shown map serial number gives it away as well on about or whatever the option is on the map screen. It's the one everybody takes pictures off ;). Version information page.
 
Last edited:

Tell

Full Member
Staff member
Moderator
Unless it's a retrofit / fiddled one you can't do it. Maps are available for November 2019 release but I dont publish them since UK people are stuck, no easy DIY solutions. Its an area of retrofiters minting it in.

The Mib1 standard download is this for November 2019 but as said not a lot you can do with it.... you must back up your SD card before deleting it as well as you will get in a pickle - that's happened. Was the holly grail of the thread for a bit and nobody cracked it as yet as a DIY activity.

http://vw-mapscdn.tdd.adacorcdn.com/P89_N60S3MIBS2_EU.7z

If it's a mib1 high then use the mib2 high one which is common across high units. Again that's a retrofit fix for those units to give it that capability.

Only the Mib2 standard with the work around can be updated for Seat's unless you have Mapcare not sold in the UK or done in the one year grace period from purchase where Mapcare is available (dealers cover to sell cars with old maps on them). All other Seat units need to have retrofit work done on them for subsequent DIY map updates.
Can now do better on the Mib1 standard taking it to the latest release all those caviares still apply on whether you can do anything with it:

https://www.briskoda.net/forums/topic/481828-amundsen-mib1-map-update-2020-2021/

Is this:

http://vw-mapscdn.tdd.adacorcdn.com/P94_N60S3MIBS2_EU_NT_Q3.19.7z
 
  • Like
Reactions: Cactus
Jun 19, 2020
10
0
Stafford
That's the version what I got in my car.
Sat nav is running from sd card and it showing that satnav is from 2014.

I just try update maps from Skoda (I think, found the link somwhere) but my sat nav in car after loading them showed "Maps are not up to date". But when I checked version number showed 5F0... ECE 2019/20.

EDIT.

Can now do better on the Mib1 standard taking it to the latest release all those caviares still apply on whether you can do anything with it:

https://www.briskoda.net/forums/topic/481828-amundsen-mib1-map-update-2020-2021/

Is this:

http://vw-mapscdn.tdd.adacorcdn.com/P94_N60S3MIBS2_EU_NT_Q3.19.7z

Thanks mate, downloading now. Then I try put on card and try it again. I let u know if it works :)
 

Attachments

Last edited:

Tell

Full Member
Staff member
Moderator
That's the version what I got in my car.
Sat nav is running from sd card and it showing that satnav is from 2014.

I just try update maps from Skoda (I think, found the link somwhere) but my sat nav in car after loading them showed "Maps are not up to date". But when I checked version number showed 5F0... ECE 2019/20.
You are out of luck with DIY updates, it's a Mib1 standard. The holly grail. Hope you took a copy of the card before you deleted what was on it. Using a Mac, use CleanMydrive utility after you copy it back to SD.
 
Jun 19, 2020
10
0
Stafford
You are out of luck with DIY updates, it's a Mib1 standard. The holly grail. Hope you took a copy of the card before you deleted what was on it. Using a Mac, use CleanMydrive utility after you copy it back to SD.
Yeh I took copy before I done anything.

Tried them new maps but unfortunately didn't work :banghead: same problem "Map are not up to date.."

So what is the best option to do ? Is any chance to update sat nav in my car ? Or just left to contact with Seat dealer to buy new card with new maps ?
 

Tell

Full Member
Staff member
Moderator
Yeh I took copy before I done anything.

Tried them new maps but unfortunately didn't work :banghead: same problem "Map are not up to date.."

So what is the best option to do ? Is any chance to update sat nav in my car ? Or just left to contact with Seat dealer to buy new card with new maps ?
I wouldn't buy any eBay cards for mib1 standard off eBay that's where people found they couldn't upgrade themselves, mib1 Mapcare how it's implemented stopped that. A few people could put the cards in, in 2017 and it worked, the majority couldn't. Ask your dealer about it, think it's like mib2 will cost you over £100 Or so, they unregister the card and register a new one. You always have the retrofit option if you can find anyone reliable to doodle with it. That's basically where we got to before. One person appeared once who said they could, wouldn't say the process since they were attempting to run a business out of it from East Europe. Amounted to opening the unit up as I recall. Probably using a standard process that retrofitters know about. Depends how much you belove the car and maps on it. Yeah it's irritating when new roads open and aren't in it, why I went down the retrofit mib2 high option with mine and keep the standard maps up-to-date on the partners car. If you are interested in navigation having a car with duff maps in it, isn't something you do.
 
  • Like
Reactions: Cactus
Jun 19, 2020
10
0
Stafford
I gonna try few options. Firstly try put maps from 2017 if that does not work then I put back oryginal maps and just change some files in it.
If that dosen't work ethier, then need to contact with Seat dealer. It will be annoying to spend some amout of money every year.

What about changing whole panel mib1 to mib2 (6P0..). I know that the best thing will be to have an AndroidAuto or CarPlay but haven't got usb plug. But at least I can update sat nav by myself.
Has anyone done this before ? Is it just change panel like plug out - plug in, or need to program it ?
 

Tell

Full Member
Staff member
Moderator
You will find threads on the later for sure under the appropriate section. You do have to be careful if you buy a unit that's locked. You get it unlocked and it wipes the navigation license so back at stage one. Some dealers know how to do it or buy a retrofit unit with the protection off. Google that. Come up before. Plugs and sockets. People publish guides to it.
 
  • Like
Reactions: Cactus

Slickric21

Active Member
Feb 23, 2019
341
169
Norfolk
The European map 00 folder breaks out under Product into E1-E13 whilst the Morocco one is ME. What you'd have to do is do it on each region E1-E13 :). That's assuming you have the all European maps loaded on the original card.

So you would revert back to your original maps. Clear the error code if you can via OBDeleven confirm confirmation change / Hex stuff. If that works go onto mass copying of the original fragments that's point 8 across E1-E13. Do the rest and re-test.

Hmmm quite a bit of effort every six months if it worked or just do the workaround and live with the SVM error. I'd go for the simple approach and live with the error, but worth testing thou whether this is the route of that error or whether there is something else it doesn't like that triggers it. Runs fine with the error thou.
I gave this a try this morning and sadly it failed miserably.

I copied the 11 "OVERALL.NDS" files from my original SDCard backup to the respective E1,E2,E3,E4,E5,E6,E8,E10,E11,E12,E13 folders and then the PRODUCT.NDS from "maps / EEC /" also.

Greeted with "Navigation database cant be loaded" message on the infotainment system.

Reverted back and all is working fine.

edit: oh forgot the add, then confirmation of change HEX code doesn’t work on IOS version of OBDeleven, it fails when you apply the code.
With android version the same code is accepted fine.
 
Last edited:

Tell

Full Member
Staff member
Moderator
I gave this a try this morning and sadly it failed miserably.

I copied the 11 "OVERALL.NDS" files from my original SDCard backup to the respective E1,E2,E3,E4,E5,E6,E8,E10,E11,E12,E13 folders and then the PRODUCT.NDS from "maps / EEC /" also.

Greeted with "Navigation database cant be loaded" message on the infotainment system.

Reverted back and all is working fine.
Ah well, worth a try. The traditional workaround works fine. That for swapping between non Europe maps in some Vag infotainments. A lot must depend on the firmware. T6forum original method works with the simple overall.nds trick with a Seat Arona then that full method above on Tiguans and Golf, may be on the later Seat WiFi heads but not the solution to getting rid of the ODB SVM message Bit too much like hard work to do all that copying every six months just to remove a message. :).
 

Slickric21

Active Member
Feb 23, 2019
341
169
Norfolk
Yup no harm in trying.
FYI i've got MY2019 std unit with wifi.

One thing i did notice when copying all the files is that there is another "PRODUCT.NDS" file located in "\maps\00\nds\PRODUCT" that didn't get copied across in those instructions yet the one in "\maps\EEC" did.

I might try it again at some point with this one copied across also, as it seems odd that its the only PRODUCT.NDS (and also OVERALL.NDS) file that isn't transferred over in that process.
If I do it i'll report back, but i probably wont bother now for a while.
 
  • Like
Reactions: Tell
Jun 25, 2020
10
1
Hi there!

I'm wondering if there's someone who can help me in researching an update of my leon cupra 280. It's a 2014 car and I did a retrofit for a MIB2 HIGH 5F0035020F (material H54) with software 1219. There are a lot of crashes with my apple carplay and that's why I'm searching for a solution to upgrade the system without losing my codings because it's a non official coding due to the retrofit (my SEAT store never wanted to sell me a unit with 8" screen and adapt the options on the new unit).

Little precision, I'm from France :)

Thanks!
 

Tell

Full Member
Staff member
Moderator
Hi there!

I'm wondering if there's someone who can help me in researching an update of my leon cupra 280. It's a 2014 car and I did a retrofit for a MIB2 HIGH 5F0035020F (material H54) with software 1219. There are a lot of crashes with my apple carplay and that's why I'm searching for a solution to upgrade the system without losing my codings because it's a non official coding due to the retrofit (my SEAT store never wanted to sell me a unit with 8" screen and adapt the options on the new unit).

Little precision, I'm from France :)

Thanks!
I don't use iPhone but I did have a lot from trouble with Android Auto after I had the high turned into a retrofit. Turned out it wasn't connected but a damaged lead. Worth trying a different lead, not above 1 metre. Had to change the lead twice now. Theory all the bouncing about driving breaks the wires, heat etc. They were braided USB leads which are suppose to be durable but didnt turn out to be. Kept dropping Android connection, would work and then would drop away, just connected not going anywhere. Ditto on leads above 1 metre (loss of data signal), least for Android Auto.

There is a firmware thread:

 
Jun 25, 2020
10
1
I don't use iPhone but I did have a lot from trouble with Android Auto after I had the high turned into a retrofit. Turned out it wasn't connected but a damaged lead. Worth trying a different lead, not above 1 metre. Had to change the lead twice now. Theory all the bouncing about driving breaks the wires, heat etc. They were braided USB leads which are suppose to be durable but didnt turn out to be. Kept dropping Android connection, would work and then would drop away, just connected not going anywhere. Ditto on leads above 1 metre (loss of data signal), least for Android Auto.

There is a firmware thread:

Thanks for your reply Tell!

I use a 1 meter cable and I tried with officials and unofficials ones it's the same...
The bugs are not everytime
 

ysfdncr

Active Member
Jan 17, 2016
178
10
33
New Jersey, USA
Hi there!

I'm wondering if there's someone who can help me in researching an update of my leon cupra 280. It's a 2014 car and I did a retrofit for a MIB2 HIGH 5F0035020F (material H54) with software 1219. There are a lot of crashes with my apple carplay and that's why I'm searching for a solution to upgrade the system without losing my codings because it's a non official coding due to the retrofit (my SEAT store never wanted to sell me a unit with 8" screen and adapt the options on the new unit).

Little precision, I'm from France :)

Thanks!
Yes there is update available but if your unit is unlocked, it will ve locked again after the update. You need to get it unlocked again after the update.

Sent from mobile
 
Jun 25, 2020
10
1
Yes there is update available but if your unit is unlocked, it will ve locked again after the update. You need to get it unlocked again after the update.

Sent from mobile
Thank you for your answer!

How can I unlock it again after the update? The SW 515 is newer than SW 1219?
 
Adrian Flux insurance services - discount for forum members.